Container.AccessibleAWTContainer.AccessibleContainerHandler (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: java.awt, class: Container, class: AccessibleAWTContainer, class: AccessibleContainerHandler
Keywords: java.awt.Container.AccessibleAWTContainer.AccessibleContainerHandler class

# Class Container.AccessibleAWTContainer.AccessibleContainerHandler

java.lang.Object
java.awt.Container.AccessibleAWTContainer.AccessibleContainerHandler

All Implemented Interfaces:
  `ContainerListener, Serializable, EventListener`

Enclosing class:
  `Container.AccessibleAWTContainer`

protected class Container.AccessibleAWTContainer.AccessibleContainerHandler extends Object implements ContainerListener, Serializable
Fire `PropertyChange` listener, if one is registered, when children are added or removed.

Since:
  1.3
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AccessibleContainerHandler()`
  Constructs an `AccessibleContainerHandler`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `componentAdded(ContainerEvent e)`
  Invoked when a component has been added to the container.
  `void`
  `componentRemoved(ContainerEvent e)`
  Invoked when a component has been removed from the container.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### AccessibleContainerHandler

    protected AccessibleContainerHandler()
    Constructs an `AccessibleContainerHandler`.

- ## Method Details

  - ### componentAdded

    public void componentAdded(ContainerEvent e)
    Description copied from interface: `ContainerListener`
    Invoked when a component has been added to the container.
    Specified by:
      `componentAdded` in interface `ContainerListener`
    Parameters:
      `e` - the event to be processed

  - ### componentRemoved

    public void componentRemoved(ContainerEvent e)
    Description copied from interface: `ContainerListener`
    Invoked when a component has been removed from the container.
    Specified by:
      `componentRemoved` in interface `ContainerListener`
    Parameters:
      `e` - the event to be processed